# http://www.freedesktop.org/software/systemd/man/systemd.unit.html
#
# Cookbook Name:: systemd
# Module:: Systemd::Install
#
# Copyright 2015 The Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

module Systemd
  module Install
    # excluded Alias option due to conflict with ruby reserved words
    OPTIONS ||= {
      'WantedBy' => { kind_of: [String, Array] },
      'RequiredBy' => { kind_of: [String, Array] },
      'Also' => { kind_of: [String, Array] },
      'DefaultInstance' => {}
    }
  end
end
